Get Metadata
Retrieves all the metadata for the region.
Retrieves all the metadata for the region. User can view the entries if user can view the region.
Request
URI
GET
https://{api_host}/cloudapi/v1/regions/{id}/metadata
COPY
Path Parameters
string
id
Required
the URN of the entity the entry is attached to.
Query Parameters
string
filter
Optional
Filter for a query. FIQL format.
string
sortAsc
Optional
Field to use for ascending sort
string
sortDesc
Optional
Field to use for descending sort
integer
page
Required
Constraints:
minimum: 1
default: 1
Page to fetch, zero offset.
integer
pageSize
Required
Constraints:
minimum: 0
maximum: 128
default: 25
Results per page to fetch.
Responses
200
OK
Returns
MetadataEntries
of type(s)
application/json;version=9.1.0
This response body class contains all of the following:
Page ,
InlineMetadataEntries1
{
"resultTotal": 0,
"pageCount": 0,
"page": 0,
"pageSize": 0,
"associations": [
{
"entityId": "string",
"associationId": "string"
}
],
"values": [
{
"id": "string",
"persistent": false,
"readOnly": false,
"keyValue": {
"domain": "string",
"namespace": "string",
"key": "string",
"value": {
"value": {},
"type": "string"
}
}
}
]
}
Vendor Extension
This operation contains the following vendor extensions defined in the spec:
[{"type":"Modern"}]
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/cloudapi/v1/regions/{id}/metadata?page=value&pageSize=v
Availability
Added in 9.1.0
On This Page
Virtual Datacenter Operations
GET
Get Virtual Datacenters
POST
Create Virtual Datacenter
GET
Get Virtual Datacenter
PUT
Update Virtual Datacenter
DELETE
Delete Virtual Datacenter
GET
Query Vm Classes
POST
Add Vm Classes To VDC
PUT
Replace Vm Classes In VDC
GET
Query Reserved Vm Classes
PUT
Update Reserved Vm Classes
GET
Get Namespaces For Vdc
GET
Get Metadata
POST
Create Metadata Entry
PUT
Replace Metadata Entries
GET
Get Metadata Entry
PUT
Update Metadata Entry
DELETE
Delete Metadata Entry
PUT
Update Virtual Datacenter Storage Policies
GET
Query Vdc Infra Policies
PUT
Update Vdc Infra Policies